UTMPDUMP(1)

NAMN
utmpdump - dumpa UTMP- och WTMP-filer i råformat

SYNOPSIS

utmpdump [flaggor] filnamn

BESKRIVNING

utmpdump är ett enkelt program för att dumpa UTMP- och WTMP-filer i råformat, så att de kan undersökas. utmpdump läser från stdin om inte ett filnamn anges.

FLAGGOR

-f, --follow
    Utmatning av bifogad data när filen växer.

-o, --output fil
    Skriv kommandoutdata till fil istället för standardutdata.

-r, --reverse
    Undump, skriv tillbaka redigerad inloggningsinformation till filerna utmp eller wtmp.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

ANTECKNINGAR

utmpdump kan vara användbart i fall av korrupta utmp- eller wtmp-poster. Det kan dumpa ut utmp/wtmp till en ASCII-fil, som sedan kan redigeras för att ta bort falska poster och återintegreras med hjälp av:

    utmpdump -r < ascii_fil > wtmp

Men varning, utmpdump skrevs endast för felsökningsändamål.

  Filformat

Endast den binära versionen av utmp(5) är standardiserad. Textuella dumpningar kan bli inkompatibla i framtiden.

Version 2.28 var den sista som skrev ut text med tidsstämpelformatet ctime(3). Nyare dumpar använder ISO-8601-tidsstämpelformat med millisekundsprecision i tidszonen UTC-0. Konvertering från tidigare tidsstämpelformat kan göras till binärt, men försök att göra det kan leda till att tidsstämplarna förskjuts med tidszonens förskjutning.

KÄNDA PROBLEM

Du får inte använda flaggan -r, eftersom formatet för utmp/wtmp-filerna är starkt beroende av inmatningsformatet. Detta verktyg är inte skrivet för normal användning, utan endast för felsökning.

UPPHOVSPERSONER

Michael Krapp

SE ÄVEN

last(1), w(1), who(1), utmp(5)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot utmpdump ingår i paketet util-linux som kan hämtas från